com.pixelmed.test

## Class TestDeviceParticipant

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestDeviceParticipant

-     public class TestDeviceParticipant
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestDeviceParticipant(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButInstitutionName()`
    `void` | `TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationAndInstitutionName()`
    `void` | `TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationName()`
    `void` | `TestDeviceParticipant_SerialNumberWithSerialNumberPresent()`
    `void` | `TestDeviceParticipant_UIDSynthesisWithSerialNumberManufacturerModelStationInstitutionName()`
    `void` | `TestDeviceParticipant_WithManufacturerModelSerialNumberAndUID()`
    `void` | `TestDeviceParticipant_WithManufacturerModelSerialNumberButNoUID()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestDeviceParticipant

          public TestDeviceParticipant(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestDeviceParticipant_WithManufacturerModelSerialNumberAndUID

          public void TestDeviceParticipant_WithManufacturerModelSerialNumberAndUID()
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDeviceParticipant_WithManufacturerModelSerialNumberButNoUID

          public void TestDeviceParticipant_WithManufacturerModelSerialNumberButNoUID()
                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDeviceParticipant_SerialNumberWithSerialNumberPresent

          public void TestDeviceParticipant_SerialNumberWithSerialNumberPresent()
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationName

          public void TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationName()
                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButInstitutionName

          public void TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButInstitutionName()
                                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationAndInstitutionName

          public void TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationAndInstitutionName()
                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDeviceParticipant_UIDSynthesisWithSerialNumberManufacturerModelStationInstitutionName

          public void TestDeviceParticipant_UIDSynthesisWithSerialNumberManufacturerModelStationInstitutionName()
                                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`